use strict;
use warnings;

use Test::More tests => 4 ;

### ##### ##### ##### ##### ##### ##### ##### ##### ##### ##
my $check_docs_fref = sub {
    my ($script) = @_ ;

    my ($result, $cmd) ;

    $cmd = "usr/sbin/$script --help" ;
    $result = `$cmd` ;
    ok ($result =~ m{print.manual.page.and.exit}xsm,
        "$script: --help option shows short help page") ;

    $cmd = "usr/sbin/$script --manual" ;
    $result = `$cmd` ;
    ok ($result =~ m{USAGE}xsm,
        "$script: --manual option shows man page") ;
    return ;
} ;
### ##### ##### ##### ##### ##### ##### ##### ##### ##### ##

$check_docs_fref->('age-bucket-contents') ;
$check_docs_fref->('check-gcp-backups') ;

# gsutil-output-pretty does not yet support --help or --manual
